#
# spec file for package sonnet
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define sonum   5
%define _tar_path 5.26
Name:           sonnet
Version:        5.26.0
Release:        2.17
#BuildRequires:  aspell-devel
BuildRequires:  cmake >= 2.8.12
# Enchant plugin is currently disabled upstream
#BuildRequires:  enchant-devel
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
%if %{with lang}
BuildRequires:  cmake(Qt5LinguistTools) >= 5.5.0
%endif
BuildRequires:  myspell-dictionaries
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
BuildRequires:  cmake(Qt5Widgets) >= 5.5.0
BuildRequires:  pkgconfig(hunspell)
Summary:        KDE spell checking library
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package -n libKF5SonnetCore%sonum
Summary:        KDE spell checking library
Group:          System/GUI/KDE
Obsoletes:      libKF5SonnetCore4
%if %{with lang}
Recommends:     libKF5SonnetCore%sonum-lang = %{version}
%endif
%requires_ge libQt5Core5

%description -n libKF5SonnetCore%sonum
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package -n libKF5SonnetUi%sonum
Summary:        KDE spell checking library
Group:          System/GUI/KDE
%requires_ge libQt5Gui5
%requires_ge libQt5Widgets5
%requires_ge libKF5SonnetCore5

%description -n libKF5SonnetUi%sonum
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package devel
Summary:        KDE spell checking library: Build Environment
Group:          Development/Libraries/KDE
Requires:       extra-cmake-modules
Requires:       libKF5SonnetCore%sonum = %{version}
Requires:       libKF5SonnetUi%sonum = %{version}
Requires:       cmake(Qt5Core) >= 5.5.0

%description devel
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL. Development files.

%lang_package -n libKF5SonnetCore%sonum
%prep
%setup -q

%build
  %cmake_kf5 -d build -- -Dlconvert_executable=%{_kf5_libdir}/qt5/bin/lconvert
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5 --with-qt --without-mo
%endif

%post -n libKF5SonnetCore%sonum -p /sbin/ldconfig

%postun -n libKF5SonnetCore%sonum -p /sbin/ldconfig

%post -n libKF5SonnetUi%sonum -p /sbin/ldconfig

%postun -n libKF5SonnetUi%sonum -p /sbin/ldconfig

%if %{with lang}
%files -n libKF5SonnetCore%sonum-lang -f %{name}5.lang
%endif

%files -n libKF5SonnetCore%sonum
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5SonnetCore.so.*
%{_kf5_plugindir}/
%{_kf5_datadir}/sonnet/

%files -n libKF5SonnetUi%sonum
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5SonnetUi.so.*

%files devel
%defattr(-,root,root)
%{_kf5_bindir}/parsetrigrams
%{_kf5_bindir}/gentrigrams
%{_kf5_libdir}/libKF5SonnetCore.so
%{_kf5_libdir}/libKF5SonnetUi.so
%{_kf5_libdir}/cmake/KF5Sonnet/
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_Sonnet*.pri

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Don't lowercase the language names in trigram parsing
  * Fix immediate crash on startup due to null plugin pointer
  * Handle dictionaries without correct names
  * Replace hand-curated list of script-language mappings, use
    proper names for languages
  * Add tool to generate trigrams
  * Unbreak language detection a bit
  * Use selected language as suggestion for detection
  * Use cached spellers in language detection,
    improve performance a bit
  * Improve language detection
  * Filter list of suggestions against available dictionaries,
    remove dupes
  * Remember to add the last trigram match
  * Check if any of the trigrams actually matched
  * Handle multiple languages with same score in trigram matcher
  * Don't check for minimum size twice
  * Prune list of languages against available languages
  * Use same minimum length everywhere in langdet
  * Sanity check that the loaded model has the correct amount of
    trigrams for each language
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * hunspell: Clean up code for searching for dictionaries,
    add XDG dirs (kde#361409)
  * Try to fix language filter usage of language detection a bit
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Mark helper exe as non-gui app
  * Allow nsspellcheck to be compiled on mac per default
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Install parsetrigrams tool for cross compiling
  * hunspell: Load/Store a personal dictionary
  * Support hunspell 1.4
  * configwidget: notify about changed config when ignored
    words updated
  * settings: don't immediately save the config when
    updating ignore list
  * configwidget: fix saving when ignore words updated
  * Fix failed to save ignore word issue (kde#355973)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
- Drop upstreamed sonnet-hunspell-1.4.patch
* Mon May  2 2016 dimstar@opensuse.org
- Add sonnet-hunspell-1.4.patch: detect hunspell 1.4.x.
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Don't disable language detection just because a language is set
  * Disable automatic disabling of automatic spelling by default
  * Fix TextBreaks
  * Fix Hunspell dictionary search paths missing '/' (kde#359866)
  * Add <app dir>/../share/hunspell to dictionary search path
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Fix hunspell plugin ID for proper loading
  * Support static compilation on windows, add windows libreoffice
    hunspell dict path
  * Do not assume UTF-8 encoded Hunspell dictionaries. (kde#353133)
  * Fix Highlighter::setCurrentLanguage() for the case when
    previous language was invalid (kde#349151)
  * Support /usr/share/hunspell as dict location
  * NSSpellChecker-based plugin
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
- Drop dictionary-locations.patch, no longer needed
- Add myspell-dictionaries BuildRequires
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Add in CMake bits to enable building of Voikko plugin.
  * Implement Sonnet::Client factory for Voikko spell chekers.
  * Implement Voikko based spell checker (Sonnet::SpellerPlugin)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * Allow to use highlight spellchecking in a QPainTextEdit
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Use one central cache for the SpellerPlugins.
  * Reduce temporary allocations.
  * Optimize: Do not wipe dict cache when copying speller objects.
  * Optimise away save() calls by calling it once at the end if needed.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * Don't try to highlight if there is no spell checker found.
    This would lead to an infinite loop with rehighlighRequest
    timer firing constanty.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
- Comment out aspell-devel BuildRequires, myspell/hunspell plugin
  is prefered
- Added dictionary-locations.patch: find dictionaries in openSUSE
  locations
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
- Harden required Qt5 libs versions
- Pass the location of lconvert executable
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Added libqt5-linguist-devel BuildRequires
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init sonnet package
